Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface ServerStartMBean

public interface ServerStartMBean
extends ConfigurationMBean

This bean is used to configure the attributes necessary to start up a server on a remote machine.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getArguments()` The startup arguments to use when starting this server.
`java.lang.String` | `getBeaHome()` Returns the BEA home to be used to start this server.
`java.lang.String` | `getClassPath()` The classpath to use when starting this server.
`java.lang.String` | `getJavaHome()` The Java home directory (on the Node Manager machine) to use when starting this server.
`java.lang.String` | `getPassword()` The password of the username used to boot the server and perform server health monitoring.
`byte[]` | `getPasswordEncrypted()` The encrypted password of the username used to boot the server and perform server health monitoring.
`java.lang.String` | `getRootDirectory()` Returns the RootDirectory to be used to start this server.
`java.lang.String` | `getSecurityPolicyFile()` The security policy file to use when starting this server.
`java.lang.String` | `getUsername()` The username to use when booting the server and performing server health monitoring.
`void` | `setArguments(java.lang.String classpath)` Set the arguments that are to used to start up this server.
`void` | `setBeaHome(java.lang.String path)` The BEA home directory to use when starting this server.
`void` | `setClassPath(java.lang.String classpath)` Set the classpath to be used to start this server.
`void` | `setJavaHome(java.lang.String path)` Set the Java home to be used to start this server.
`void` | `setOutputFile(java.lang.String fileName)` Sets the file containing the data generated as a result of the start operation.
`void` | `setPassword(java.lang.String password)` As of 8.1 sp4, this method does the following:
`void` | `setPasswordEncrypted(byte[] bytes)` Encrypts the user password and sets the value of the PasswordEncrypted attribute.
`void` | `setRootDirectory(java.lang.String path)` The root directory to use when starting this server.
`void` | `setSecurityPolicyFile(java.lang.String filePath)` Set the security policy file to be used to start this server.
`void` | `setUsername(java.lang.String username)` Sets the username attribute of the ServerStartMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getJavaHome

    public java.lang.String getJavaHome()

  The Java home directory (on the Node Manager machine) to use when starting this server. The java binary (or java.exe executable in Windows) is taken from the Java home /bin directory to start the managed server.

  Returns:
    The javaHome value

### setJavaHome

    public void setJavaHome(java.lang.String path)
                     throws javax.management.InvalidAttributeValueException

  Set the Java home to be used to start this server. Note that this path is on the Node MAnager machine. java (or java.exe in windows) should be present at this JavaHome/bin directory.

  Parameters:
    `path` - The new javaHome value
  Throws:
    javax.management.InvalidAttributeValueException -

### getClassPath

    public java.lang.String getClassPath()

  The classpath to use when starting this server. Note that all paths refer to paths on the Node Manager machine.

  Returns:
    The classPath value

### setClassPath

    public void setClassPath(java.lang.String classpath)
                      throws javax.management.InvalidAttributeValueException

  Set the classpath to be used to start this server. Note that this path is on the Node Manager machine.

  Parameters:
    `classpath` - The new classPath value
  Throws:
    javax.management.InvalidAttributeValueException -

### getBeaHome

    public java.lang.String getBeaHome()

  Returns the BEA home to be used to start this server. Note that this path is on the Node Manager machine.

  Returns:
    The beaHome value

### setBeaHome

    public void setBeaHome(java.lang.String path)
                    throws javax.management.InvalidAttributeValueException

  The BEA home directory to use when starting this server. Note that this describes the path on the Node Manager machine.

  Parameters:
    `path` - The new beaHome value
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootDirectory

    public java.lang.String getRootDirectory()

  Returns the RootDirectory to be used to start this server. Note that this path is on the Node Manager machine.

  Returns:
    The rootDirectory value

### setRootDirectory

    public void setRootDirectory(java.lang.String path)
                          throws javax.management.InvalidAttributeValueException

  The root directory to use when starting this server. The root directory describes the path to the managed server's domain directory on the Node Manager machine.

  Parameters:
    `path` - The new rootDirectory value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSecurityPolicyFile

    public java.lang.String getSecurityPolicyFile()

  The security policy file to use when starting this server. Note that the directory and filename refer to a path on the Node Manager machine.

  Returns:
    The securityPolicyFile value

### setSecurityPolicyFile

    public void setSecurityPolicyFile(java.lang.String filePath)
                               throws javax.management.InvalidAttributeValueException

  Set the security policy file to be used to start this server. Note that this file is on the Node Manager machine. Both an absolute file path and a path relative to the server root directory should work.

  Parameters:
    `filePath` - The new securityPolicyFile value
  Throws:
    javax.management.InvalidAttributeValueException -

### getArguments

    public java.lang.String getArguments()

  The startup arguments to use when starting this server.

  Returns:
    The arguments value

### setArguments

    public void setArguments(java.lang.String classpath)
                      throws javax.management.InvalidAttributeValueException

  Set the arguments that are to used to start up this server. Note that the arguments are those used in addition to the classpath and the security policy option mentioned above. Examples include "-msXXm -mxYYm". Do not use this attribute to specify the password that is required to start this server instance; WebLogic Server does not encrypt the value of this attribute. Instead, specify the password in the PasswordEncrypted attribute, whose value is encrypted before being saved to the config.xml file.

  Parameters:
    `classpath` - The new arguments value
  Throws:
    javax.management.InvalidAttributeValueException -

### setOutputFile

    public void setOutputFile(java.lang.String fileName)

  Sets the file containing the data generated as a result of the start operation.

  Parameters:
    `fileName` - The new outputFile value

### getUsername

    public java.lang.String getUsername()

  The username to use when booting the server and performing server health monitoring.

  Default Value: ""
  Returns:
    The username value

### setUsername

    public void setUsername(java.lang.String username)
                     throws javax.management.InvalidAttributeValueException

  Sets the username attribute of the ServerStartMBean object

  Parameters:
    `username` - The new username value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPassword

    public java.lang.String getPassword()

  The password of the username used to boot the server and perform server health monitoring.

  As of 8.1 sp4, the `getPassword()` method does the following:

  1. Retrieves the value of the `PasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getPassword()` is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getPasswordEncrypted()` to retrieve the encrypted password. On the same WebLogic Server that encrypted the value of the PasswordEncrypted attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  A non-configurable MBean attribute.
  Default Value: ""
  Returns:
    The Password value
  See Also:
    `getPasswordEncrypted()`

### setPassword

    public void setPassword(java.lang.String password)
                     throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `PasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `password` - The new password value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setPasswordEncrypted(byte[] bytes)`

### getPasswordEncrypted

    public byte[] getPasswordEncrypted()

  The encrypted password of the username used to boot the server and perform server health monitoring.

  Default Value: ConfigurationMBean.DEFAULT_EMPTY_BYTE_ARRAY
  Returns:
    The PasswordEncrypted value as an encrypted byte array
  See Also:
    `EncryptionHelper`

### setPasswordEncrypted

    public void setPasswordEncrypted(byte[] bytes)
                              throws javax.management.InvalidAttributeValueException

  Encrypts the user password and sets the value of the PasswordEncrypted attribute.

  Parameters:
    `bytes` - The new password value as a byte array
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getPasswordEncrypted()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD